# 7. Mutare: generează „ZonesMap”

Generează „ZonesMap” pentru „Field”.

{% hint style="info" %}
Timpul de execuție este diferit (de la 4 secunde până la 5 minute), depinde de numărul de imagini și de suprafața terenului de procesat, iar abonamentul va fi primit după generarea reușită a „ZonesMap”.
{% endhint %}

{% hint style="danger" %}
Recomandăm utilizarea unei **asincron** abordări pentru a genera ZonesMaps
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    uuidParcelă: "<placeholder_of_field_uuid>"
    uuidImaginiSatelit: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<loc_de_pasă_a_uuid_imagine_satelit_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    nume
    tip
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/7.-mutare-genereaza-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
